{% load i18n %}
{% load static %}


<!DOCTYPE html>
<html lang="de" dir="ltr">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="generator" content="Hugo 0.79.0"/>
    <meta charset="UTF-8"/>
    <meta http-equiv="X-UA-Compatible" content="ie=edge"/>

    <link rel="apple-touch-icon" sizes="57x57" href="{% static 'img/favicon/apple-icon-57x57.png' %}">
    <link rel="apple-touch-icon" sizes="60x60" href="{% static 'img/favicon/apple-icon-60x60.png' %}">
    <link rel="apple-touch-icon" sizes="72x72" href="{% static 'img/favicon/apple-icon-72x72.png' %}">
    <link rel="apple-touch-icon" sizes="76x76" href="{% static 'img/favicon/apple-icon-76x76.png' %}">
    <link rel="apple-touch-icon" sizes="114x114" href="{% static 'img/favicon/apple-icon-114x114.png' %}">
    <link rel="apple-touch-icon" sizes="120x120" href="{% static 'img/favicon/apple-icon-120x120.png' %}">
    <link rel="apple-touch-icon" sizes="144x144" href="{% static 'img/favicon/apple-icon-144x144.png' %}">
    <link rel="apple-touch-icon" sizes="152x152" href="{% static 'img/favicon/apple-icon-152x152.png' %}">
    <link rel="apple-touch-icon" sizes="180x180" href="{% static 'img/favicon/apple-icon-180x180.png' %}">
    <link rel="icon" type="image/png" sizes="192x192" href="{% static 'img/favicon/android-icon-192x192.png' %}">
    <link rel="icon" type="image/png" sizes="32x32" href="{% static 'img/favicon/favicon-32x32.png' %}">
    <link rel="icon" type="image/png" sizes="96x96" href="{% static 'img/favicon/favicon-96x96.png' %}">
    <link rel="icon" type="image/png" sizes="16x16" href="{% static 'img/favicon/favicon-16x16.png' %}">
    <link rel="manifest" href="{% static 'img/favicon/manifest.json' %}">
    <meta name="msapplication-TileColor" content="#ffffff">
    <meta name="msapplication-TileImage" content="{% static 'img/favicon/ms-icon-144x144.png' %}">
    <meta name="theme-color" content="#ffffff">

    <title>{% block title %}{% endblock %}</title>

    {#____________________________________CSS_________________________________________#}
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta2/dist/css/bootstrap.min.css" rel="stylesheet"
          integrity="sha384-BmbxuPwQa2lc/FVzBcNJ7UAyJxM6wuqIj61tLrc4wSX0szH/Ev+nYRRuWlolflfl"
          crossorigin="anonymous">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.4.0/font/bootstrap-icons.css">
    <link rel="stylesheet" href="{% static 'css/main.css' %}">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/leaflet.draw/0.4.2/leaflet.draw.css"/>
    <link rel="stylesheet" href="{% static 'css/main_hugo.css' %}"/>
    <link rel="stylesheet" href="{% static 'css/rad-icons.css' %}"/>
    <link rel="stylesheet" href="{% static 'css/custom.css' %}"/>
    <link rel="stylesheet" href="{% static 'css/schedule.css' %}"/>

{#____________________________________JAVASCRIPT_________________________________________#}
    <script src="	https://cdnjs.cloudflare.com/ajax/libs/date-fns/1.9.0/date_fns.min.js"></script>
    <script src='{% static 'js/library/jquery-3.3.1.slim.min.js' %}'></script>
    <script src='{% static 'js/library/bootstrap.min.js' %}'></script>
    <script src='{% static 'js/library/smooth-scroll.polyfills.min.js' %}'></script>
    <script src='{% static 'js/library/fontfaceobserver.js' %}'></script>
    <script src='{% static 'js/schedule.js' %}'></script>


    {% block headadditional %}
    {% endblock %}
</head>

<body>

<script>
    window.addEventListener("load", function () {
        var observer = window.lozad(".lozad", {
            rootMargin: window.innerHeight / 2 + "px 0px",
            threshold: 0.01
        });
        observer.observe();
    });
</script>

<script>
    const scroll = new SmoothScroll('a[href*="#"]');
    $('a.nav-link').on('click', () => {
        const navbar = $('.navbar-collapse');
        if (navbar && navbar.hasClass('show')) {
            $('.navbar-toggler').click();
        }
    })
</script>


<div id="wrapper">
    <div id="content">
        <div class="container-fluid">
            <div class="row justify-content-center">
                <div class="col-md-10 col-sm-12">
                    <h2 class="display-4">{% block title_site %}{% endblock %}</h2>
                </div>
                {% block content %}

                {% endblock %}
            </div>

        </div>

        {% block pagination %}
            {% if is_paginated %}
                <div class="pagination">
            <span class="page-links">
                {% if page_obj.has_previous %}
                    <a href="?page=1">&laquo; first</a>
                    <a href="?page={{ page_obj.previous_page_number }}"><i class="bi bi-arrow-left-circle"></i></a>
                {% endif %}
                <span class="page-current">
                    Seite {{ page_obj.number }} von {{ page_obj.paginator.num_pages }}.
                </span>
                {% if page_obj.has_next %}
                    <a href="?page={{ page_obj.next_page_number }}"><i class="bi bi-arrow-right-circle"></i></a>
                {% endif %}
            </span>
                </div>
            {% endif %}
        {% endblock %}

    </div>
</div>
<div id="footer">
    <div id="footer-content">
        <footer class="footer">
            <div class="container">


                <div class="row">
                    <div class="col-md-12">
                        <div class="footer__copy">
                            © Dr.Katherina Lehner &amp; Dr. Evelin Cadamuro, Theme by <a href="https://radity.com/"
                                                                                         target="_blank">Raditian</a>.
                            Alle
                            Rechte vorbehalten.
                        </div>
                    </div>
                </div>
            </div>

            <div class="row">
                <div class='col-md-12 panel-group'>
                    <div class='panel panel-default'>
                        <div class='panel-heading'>
                            <h4 class='panel-title-impressum'>
                                <a href='{% url 'common:datenschutz' %}'>Impressum und Datenschutz</a>
                            </h4>
                        </div>

                    </div>
                </div>
            </div>
    </div>
    </footer>
</div>
</div>


<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta2/dist/js/bootstrap.bundle.min.js"
        integrity="sha384-b5kHyXgcpbZJO/tY9Ul7kGkf1S0CWuKcCD38l8YkeH8z8QjE0GmW1gYU5S9FOnJ0"
        crossorigin="anonymous"></script>
<!--- Diese Scripts müssen muss hier geladen werden. Steht es ganz oben bei den anderen, dauert der Seitenaufbau ewig und die openingtimes.js wird nicht geladen --->
<script src='{% static 'js/rad-animations.js' %}'></script>
<script src='{% static 'js/library/lozad.min.js' %}'></script>
<script src='{% static 'js/slideshow.js' %}'></script>
<script src='{% static 'js/openingtimes.js' %}'></script>
<!--- Dieses Script muss hier geladen werden. Steht es ganz oben bei den anderen, lädrt der HeaDER-hINTERGUND NICHT UND DIE OPENINGTIMES:JS WIRD NICHT RICHTIG GELADEN --->
<script src='{% static 'js/sticky-header.js' %}'></script>
</body>
</html>
